PETSc version 3.15.5
Fix/Edit manual page

# PetscSFGetType

Get the PetscSF communication implementation

### Synopsis

    #include "petscsf.h"
    PetscErrorCode PetscSFGetType(PetscSF sf, PetscSFType *type)

Not Collective

### Input Parameter

| sf | - the PetscSF context

### Output Parameter

| type | - the PetscSF type name

### See Also

PetscSFSetType(), PetscSFCreate()

### Level

intermediate

### Location

src/vec/is/sf/interface/sf.c
Index of all PetscSF routines
Table of Contents for all manual pages
Index of all manual pages